﻿@using Jumbula.Common.Constants
@using Jumbula.Web.Infrastructure

@{
    ViewBag.Title = "Selecting multiple files for uploading";
}

@{
    string domain = (string)ViewData["domain"];
    string galleryPath = (string)ViewData["galleryPath"];
    StorageManager sm = new StorageManager(Jumbula.Web.Mvc.WebConfig.WebConfigHelper.AzureStorageConnection, Constants.Path_ClubFilesContainer);
    Uri[] thumbnails = sm.ListDirectoryBlobFiles(galleryPath, Constants.Path_ClubFilesThumnailsDir);

    SubDomainCategories? sender = null;

    if (ViewData["sender"] != null)
    {
        sender = (SubDomainCategories)ViewData["sender"];
    }

    if (sender.HasValue)
    {
        if (sender == SubDomainCategories.Tourney) // we have a tourney
        {
            string tourneyName = Request.QueryString["galleryPath"].Substring(Request.QueryString["galleryPath"].LastIndexOf("/") + 1);
            <div class="breadcrumb_wrapper">
                <ul class="hmenu breadcrumb">
                    <li><a href="/">Home</a></li>
                    <li>»</li>
                    <li><a href="@Url.ClubDomain(Request.QueryString["domain"],false)">@Request.QueryString["domain"]</a></li>
                    <li>»</li>
                    <li><a href="@Url.EventDomain(Request.QueryString["domain"],string.Empty,tourneyName, false)">>@tourneyName</a></li>
                    <li>»</li>
                    <li class="current"><strong>Edit Image Gallery</strong></li>
                </ul>
            </div>
        }
    }
    else // we have a club
    {
        <div class="breadcrumb_wrapper">
            <ul class="hmenu breadcrumb">
                <li><a href="/">Home</a></li>
                <li>»</li>
                <li><a href="@Url.ClubDomain(Request.QueryString["domain"],false)">@Request.QueryString["domain"]</a></li>
                <li>»</li>
                <li class="current"><strong>Edit Image Gallery</strong></li>
            </ul>
        </div>
    }
}
<div style="clear: both">
    <h4>Select images to upload</h4>

    <p>
        You can select multiple files in the file browser dialog box and then upload them at once.
    </p>
    <br />

    @{Html.BeginForm();}
    <button id="uploadbutton" onclick="return false;">Upload images to gallery</button>
    @Html.Raw(ViewBag.uploaderhtml)
    @{Html.EndForm();}

    <br />
    <p>
        <br />
        @if (ViewBag.UploadedMessage != null)
        {
            @ViewBag.UploadedMessage
        }
    </p>
</div>

<br />
<br />


@if (thumbnails.Length > 0)
{
    <h4>You can remove images from the image gallery </h4>

    <div>
        <table>
            <tr>

                @foreach (var item in thumbnails)
                {
                    var path1 = StorageManager.PathCombine(galleryPath, Constants.Path_ClubFilesThumnailsDir);
                    var path2 = StorageManager.PathCombine(galleryPath, Constants.Path_ClubFilesImagesDir);
                    var filePath1 = item.AbsoluteUri;
                    var filePath2 = item.AbsoluteUri.Replace(path1, path2);

                    <td style="padding: 6px;">
                        <a href="@filePath2" target="_blank">
                            @Html.ImageGalleryThumnail(@filePath1)
                        </a><br />
                        <a href="@Url.Action("DeleteFilesFromGallery", "Upload", new { domain = domain, filePath1 = filePath1, filePath2 = filePath2, galleryPath = galleryPath, sender = sender })">Remove</a>
                    </td>
                }

            </tr>
        </table>
    </div>
}

@section Scripts {
    <script type="text/javascript">
        function CuteWebUI_AjaxUploader_OnPostback() {
            //submit the form after the file have been uploaded:
            document.forms[document.forms.length - 1].submit(); // note index
        }
    </script>
}
